suix_getCoinMetadata
POST
Return metadata (e.g., symbol, decimals) for a coin. Note that if the coin's metadata was wrapped in the transaction that published its marker type, or the latest version of the metadata object is wrapped or deleted, it will not be found.
param[0]
coinTypestringrequired
Type name for the coin (e.g., 0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC)Responses
idinteger
jsonrpcstring
decimalsintegerrequired
Number of decimal places the coin uses.descriptionstringrequired
Description of the tokeniconUrlstringnull
URL for the token logoidobject
namestringrequired
Name for the tokensymbolstringrequired
Symbol for the tokencodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "suix_getCoinMetadata","params": ["0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC"]}'